From: Nicolas Palix <npalix.work@gmail.com>
To: Julia Lawall <julia@diku.dk>,
Gilles Muller <Gilles.Muller@lip6.fr>,
Nicolas Palix <npalix@diku.dk>, Michal Marek <mmarek@suse.cz>,
Sam Ravnborg <sam@ravnborg.org>,
Joerg Roedel <joerg.roedel@amd.com>,
cocci@diku.dk, linux-kernel@vger.kernel.org
Subject: [PATCH 4/5] Coccinelle: Add a new mode named 'chain'
Date: Mon, 4 Oct 2010 22:50:08 +0200 [thread overview]
Message-ID: <1286225409-22200-1-git-send-email-npalix.work@gmail.com> (raw)
spatch now returns -1 when a virtual rule (given with
-D on the command line) is not defined in the semantic patch.
Using this spatch feature, coccicheck is now
tries several modes by default, in the order:
patch, report, context, org
Signed-off-by: Nicolas Palix <npalix.work@gmail.com>
Signed-off-by: Julia Lawall <julia@diku.dk>
---
scripts/coccicheck | 16 +++++++++++-----
1 files changed, 11 insertions(+), 5 deletions(-)
diff --git a/scripts/coccicheck b/scripts/coccicheck
index 4655551..efaf108 100755
--- a/scripts/coccicheck
+++ b/scripts/coccicheck
@@ -16,6 +16,7 @@ if [ "$C" = "1" -o "$C" = "2" ]; then
else
ONLINE=0
FLAGS="-very_quiet"
+ OPTIONS="-dir $srctree"
fi
if [ ! -x "$SPATCH" ]; then
@@ -25,11 +26,11 @@ fi
if [ "$MODE" = "" ] ; then
if [ "$ONLINE" = "0" ] ; then
- echo 'You have not explicitly specified the mode to use. Fallback to "report".'
+ echo 'You have not explicitly specified the mode to use. Using default 'chain' mode.'
+ echo 'All available modes will be tried (in that order): patch, report, context, org'
echo 'You can specify the mode with "make coccicheck MODE=<mode>"'
- echo 'Available modes are: report, patch, context, org'
fi
- MODE="report"
+ MODE="chain"
fi
if [ "$ONLINE" = "0" ] ; then
@@ -68,10 +69,15 @@ coccinelle () {
echo ' More information about semantic patching is available at'
echo ' http://coccinelle.lip6.fr/'
echo ''
+ fi
- $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT -dir $srctree || exit 1
+ if [ "$MODE" = "chain" ] ; then
+ $SPATCH -D patch $FLAGS -sp_file $COCCI $OPT $OPTIONS || \
+ $SPATCH -D report $FLAGS -sp_file $COCCI $OPT $OPTIONS || \
+ $SPATCH -D context $FLAGS -sp_file $COCCI $OPT $OPTIONS || \
+ $SPATCH -D org $FLAGS -sp_file $COCCI $OPT $OPTIONS || exit 1
else
- $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT $OPTIONS || exit 1
+ $SPATCH -D $MODE $FLAGS -sp_file $COCCI $OPT $OPTIONS || exit 1
fi
}
--
1.7.0.4
reply other threads:[~2010-10-04 20:50 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1286225409-22200-1-git-send-email-npalix.work@gmail.com \
--to=npalix.work@gmail.com \
--cc=Gilles.Muller@lip6.fr \
--cc=cocci@diku.dk \
--cc=joerg.roedel@amd.com \
--cc=julia@diku.dk \
--cc=linux-kernel@vger.kernel.org \
--cc=mmarek@suse.cz \
--cc=npalix@diku.dk \
--cc=sam@ravnborg.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Powered by JetHome